# Class Region

#### Hierarchy

- unknown
  - Region

- Defined in src/protobuf/pb_pb.d.ts:7565
- Defined in src/protobuf/pb_pb.d.ts:7580

#####
Index

### Constructors

constructor

### Methods

getCode
getName
serializeBinary
setCode
setName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Region(): Region

- #### Returns Region

  Inherited from jspb.Message.constructor

## Methods

### getCode

- getCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7566

### getName

- getName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7569

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7572

### setCode

- setCode(value: string): Region

- #### Parameters

  - ##### value: string

  #### Returns Region

  - Defined in src/protobuf/pb_pb.d.ts:7567

### setName

- setName(value: string): Region

- #### Parameters

  - ##### value: string

  #### Returns Region

  - Defined in src/protobuf/pb_pb.d.ts:7570

### toObject

- toObject(includeInstance?: boolean): Region.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Region.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7573

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Region

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Region

  - Defined in src/protobuf/pb_pb.d.ts:7576

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Region, reader: BinaryReader): Region

- #### Parameters

  - ##### message: Region

  - ##### reader: BinaryReader

  #### Returns Region

  - Defined in src/protobuf/pb_pb.d.ts:7577

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Region, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Region

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7575

### `Static` toObject

- toObject(includeInstance: boolean, msg: Region): Region.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Region

  #### Returns Region.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7574

Generated using TypeDoc